Package org.freeplane.api

# Class NodeNotFoundException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.IllegalArgumentException
org.freeplane.api.NodeNotFoundException

All Implemented Interfaces:
  `Serializable`

public class NodeNotFoundException extends IllegalArgumentException

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NodeNotFoundException(String s)`
  `NodeNotFoundException(String message, Throwable cause)`
  `NodeNotFoundException(Throwable cause)`

- ## Method Summary

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### NodeNotFoundException

    public NodeNotFoundException(String message, Throwable cause)

  - ### NodeNotFoundException

    public NodeNotFoundException(String s)

  - ### NodeNotFoundException

    public NodeNotFoundException(Throwable cause)